import csv
from settings import DATA_DIR
from os.path import join
from places.models import Place, FeatureCode
from django.contrib.gis.geos import Point

def import_gazetteer():
    f = open(join(DATA_DIR, "gazetteer.txt"))
    t = csv.reader(f, delimiter="\t")
    for row in t:
        p = Place()
        if Place.objects.filter(url=row[0]).count() > 0:
            print "duplicate row " + row[0]
        else:
            p.url = row[0]
            p.name = row[1]
            try:
                fcode = FeatureCode.objects.get(pk=row[2])
            except:
                print row[2]
                continue
            p.fcode = fcode
            p.country = row[3]
            p.admin1 = row[4]
            p.point = Point(float(row[6]), float(row[5]))
            p.save()
            print "saved " + p.name


